/***************************************
 *                                     *
 *  JBoss: The OpenSource J2EE WebOS   *
 *                                     *
 *  Distributable under LGPL license.  *
 *  See terms of license at gnu.org.   *
 *                                     *
 ***************************************/
package org.jboss.remoting.detection.jndi;

import org.jboss.remoting.detection.Detector;


/**
 * JNDIDetectorMBean
 *
 * @author <a href="mailto:telrod@e2technologies.net">Tom Elrod</a>
 * @version $Revision: 1.1 $
 */
public interface JNDIDetectorMBean extends Detector
{
    public int getPort();

    public void setPort(int port);

    public String getHost();

    public void setHost(String host);

    public String getContextFactory();

    public void setContextFactory(String contextFactory);

    public String getURLPackage();

    public void setURLPackage(String urlPackage);

    public int getCleanDetectionNumber();

    public void setCleanDetectionNumber(int cleanDetectionNumber);

}
